Bug 1209707

Summary: floppy fail to be accessible(Location is not available) after change from none
Product: Red Hat Enterprise Linux 7 Reporter: Sibiao Luo <sluo>
Component: qemu-kvmAssignee: John Snow <jsnow>
Status: CLOSED NOTABUG QA Contact: Virtualization Bugs <virt-bugs>
Severity: high Docs Contact: Jiri Herrmann <jherrman>
Priority: high    
Version: 7.2CC: chayang, famz, hhuang, jsnow, juzhang, kwolf, michen, mkenneth, pbonzini, qzhang, rbalakri, rpacheco, virt-bugs, virt-maint, xfu
Target Milestone: rc   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Known Issue
Doc Text:
_qemu-kvm_ below version 2.6.0 cannot load 2.88 MB floppy disks When using the _qemu-kvm_ package below version 2.6.0, KVM guests are not able to load a 2.88 MB floppy disk if it is inserted after the guest has already booted up. To work around this problem, insert the floppy disk before booting the guest, or use _qemu-kvm_ version 2.6.0 or later.
Story Points: ---
Clone Of: 1209362
: 1209708 (view as bug list) Environment:
Last Closed: 2016-05-18 19:55:55 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1209362    
Bug Blocks: 1209708    
Attachments:
Description Flags
screenshot_for_qemu-kvm-1.5.3-87.el7.x86_64 none

Comment 1 Sibiao Luo 2015-04-08 03:14:33 UTC
Created attachment 1012008 [details]
screenshot_for_qemu-kvm-1.5.3-87.el7.x86_64

Comment 2 Sibiao Luo 2015-04-08 03:15:33 UTC
host info:
# uname -r&& rpm -q qemu-kvm
3.10.0-232.el7.x86_64
qemu-kvm-1.5.3-87.el7.x86_64
guest info:
# rpm -q virtio-win
virtio-win-1.7.2-2.el6.noarch
/usr/share/virtio-win/virtio-win-1.7.2_amd64.vfd

Comment 4 John Snow 2015-06-30 19:59:22 UTC
The problem is caused by QEMU's usage of the 1.44MB FDrive type as a default when no floppy is inserted. Our virtio-win drivers ship on a 2.88MB floppy drive image. There is currently no CLI interface to specify that a 2.88MB drive is desired, except by having an image present at boot.

I am delaying this BZ because it needs to be worked on upstream and will likely involve more research before a proper fix is identified.

I recommend releasing documentation informing users that it would be best to boot their machine with a 2.88MB FD image if they desire that functionality. In this particular case, this image is generally only useful at boot during a new VM installation, so impact is expected to be minimal.

Comment 6 John Snow 2016-05-18 19:55:55 UTC
This bug is likely to only affect customers looking to install Windows XP, which hit EOL on April 8 2014, prior to the release of RHEL 7.1. As RHEL 7.0 is already EOL, there are currently no RHEL 7 releases supported that were released before XP EOL, so...

(1) This bug is likely to only affect people trying to use our 2.88MB virtio-win floppy driver image
(2) The floppy driver image is only useful for versions of Windows that do not support loading drivers from ISOs
(3) The last version of windows to not do this was Windows XP,
(4) We no longer support Windows XP as a guest
(5) The backport is too risky for too little benefit given the fragility and difficulty of testing Floppy Drive code
(6) There are sufficient workarounds available.

Therefore, closing this as wontfix, but recommending a docfix.

This behavior was fixed upstream in 2.6.0 and will be present in downstream qemu-kvm-rhev 2.6.0 based products.

Comment 8 John Snow 2016-11-02 18:58:54 UTC
Looks good, thank you!